<!DOCTYPE html>
<html>
  <head>
    <title>Small Angular</title>
  </head>
  <body ng-app class='container'>
    <div>
      <input ng-model="value" value="set"/>
      <div ng-censor>fuck adsf Fuckasdf asdf you littleshit asdf cunt sadf motherfucker slkdjf fucker</div>
      <input ng-model="name1" value="AbVGd487287">
      <button ng-click="value=!value">Check</button>
      <div ng-if="name1">asdf</div>
      <sometag ng-if="name1">some tag</sometag>
    </div>
    <button ng-click="num = num + 1" ng-init="num=0">Button</button>
      <div ng-bind="num"></div>
      <div ng-if="!value">Ng If</div>
      <div>Ng If</div>
      <input type="checkbox" ng-model="check" >
      <input type="checkbox" ng-model="check" checked>
      <ul>
        <li ng-repeat="letter in name1">letter: {{ letter | toLowerCase }},
          <span ng-if="check">{{ letter | toLowerCase | toUpperCase | toUSCurrency }}</span>
        </li>
      </ul>
      <div ng-if="check" ng-crossout>sdfasdf</div>
      <div ng-crossout>something</div>
    </body>
</html>